OpenNMS API 1.2.9

## org.opennms.netmgt.actiond
Class Executor.Reaper

    java.lang.Object
      org.opennms.netmgt.actiond.Executor.Reaper

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  Executor

private final class Executor.Reaper
extends java.lang.Object
implements java.lang.Runnable

This class encapsules a singular run method that is used to garbage collect expired processes. If a process has exceeded its maximum runtime then it is killed and removed from the process queue.

Author:
  Mike Davidson , Brian Weaver ,

  Constructor Summary
  `private` `Executor.Reaper()`

  Method Summary
  `void` `run()` The reaper execution enviroment.

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### Executor.Reaper

      private Executor.Reaper()

  Method Detail

  ### run

      public void run()

    The reaper execution enviroment. This method scans the process array and removes expired and completed commands from the array on a periodic basis. In that respect it is a garbage collection thread for processes.

    Specified by:
      `run` in interface `java.lang.Runnable`

  OpenNMS API 1.2.9

  Generated by ranger on May 19 2007 2335.